| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::Func3d2dExamples::HyperboloidParametricMinus Class Reference

Alternative parameterization of an origin-centered hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2=1) in form of 3D vector function of 2 variables. One set of parameter curves are straight lines running in counter clockwise direction when watched from above. More...

Inheritance diagram for IG::Num::Func3d2dExamples::HyperboloidParametricMinus:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::HyperboloidParametricMinus:
[legend]

List of all members.

## Public Member Functions
| HyperboloidParametricMinus ()
| Construct a rotationally symmetric hyperboloid.
| HyperboloidParametricMinus (double r, double c)
| Construct a rotationally symmetric hyperboloid.
| HyperboloidParametricMinus (double a, double b, double c)
| Constructs parametric definition of an origin-centered hyperboloid with the specified parameter-stretching factors.
## Protected Member Functions
override double | f1 (double u, double v)
override double | f2 (double u, double v)
override double | f3 (double u, double v)

## Detailed Description

Alternative parameterization of an origin-centered hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2=1) in form of 3D vector function of 2 variables.

One set of parameter curves are straight lines running in counter clockwise direction when watched from above.

Parameterization is similar to HyperboloidParametricPlus, with difference in signs. $A Igor Oct09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::HyperboloidParametricMinus::HyperboloidParametricMinus | ( |  | ) | `[inline]`

Construct a rotationally symmetric hyperboloid.

IG::Num::Func3d2dExamples::HyperboloidParametricMinus::HyperboloidParametricMinus | ( | double | r,
|  | double | c
| ) |  | `[inline]`

Construct a rotationally symmetric hyperboloid.

Parameters:

  r | Radius of the smallest cross-section.
  c | Height of the hyperboloid.

IG::Num::Func3d2dExamples::HyperboloidParametricMinus::HyperboloidParametricMinus | ( | double | a,
|  | double | b,
|  | double | c
| ) |  | `[inline]`

Constructs parametric definition of an origin-centered hyperboloid with the specified parameter-stretching factors.

Parameters:

  a | Half-axis in the first coordinate direction at the smallest cross-section.
  b | Half-axis in the second coordinate direction at the smallest cross-section.
  c | Height.

## Member Function Documentation

override double IG::Num::Func3d2dExamples::HyperboloidParametricMinus::f1 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Reimplemented from IG::Num::Func3d2dExamples::HyperboloidParametric.

override double IG::Num::Func3d2dExamples::HyperboloidParametricMinus::f2 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Reimplemented from IG::Num::Func3d2dExamples::HyperboloidParametric.

override double IG::Num::Func3d2dExamples::HyperboloidParametricMinus::f3 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Reimplemented from IG::Num::Func3d2dExamples::HyperboloidParametric.

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events